Loading...
Searching...
No Matches
BALL::MMFF94TorsionParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94TorsionParameters:

## Public Types

typedef HashMap< String, std::vector< double > > | TorsionsMap
| Map with the force constant and reference angle.

## Public Member Functions

| MMFF94TorsionParameters ()
| Default constructor.
virtual | ~MMFF94TorsionParameters ()
| Destructor.
const MMFF94TorsionParameters & | operator= (const MMFF94TorsionParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | assignParameters (Position type_index, Index at1, Index at2, Index at3, Index at4, double &v1, double &v2, double &v3) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)
String | getIndex_ (Position type, Position atom_type1, Position atom_type2, Position atom_type3, Position atom_type4) const

## Protected Attributes

TorsionsMap | parameters_
| parameters
TorsionsMap | buffered_parameters_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Static Protected Attributes

static Position | ic_ [5]
static Position | lc_ [5]

## Detailed Description

MMFF94 parameters for torsions (see MMFFTOR.PAR)

Definition at line 366 of file MMFF94Parameters.h.

## Member Typedef Documentation

## TorsionsMap

typedef HashMap<String, std::vector<double> > BALL::MMFF94TorsionParameters::TorsionsMap

Map with the force constant and reference angle.

Definition at line 372 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94TorsionParameters()

BALL::MMFF94TorsionParameters::MMFF94TorsionParameters | ( |  | ) |

Default constructor.

## ~MMFF94TorsionParameters()

virtual BALL::MMFF94TorsionParameters::~MMFF94TorsionParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94TorsionParameters::assignParameters | ( | Position | type_index,
|  | Index | at1,
|  | Index | at2,
|  | Index | at3,
|  | Index | at4,
|  | double & | v1,
|  | double & | v2,
|  | double & | v3 ) const

## clear()

virtual void BALL::MMFF94TorsionParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getIndex_()

String BALL::MMFF94TorsionParameters::getIndex_ | ( | Position | type,
|  | Position | atom_type1,
|  | Position | atom_type2,
|  | Position | atom_type3,
|  | Position | atom_type4 ) const

protected

## operator=()

const MMFF94TorsionParameters & BALL::MMFF94TorsionParameters::operator= | ( | const MMFF94TorsionParameters & | param | ) |

Assignment operator.

## setup_()

virtual bool BALL::MMFF94TorsionParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## buffered_parameters_

TorsionsMap BALL::MMFF94TorsionParameters::buffered_parameters_

mutable protected

Definition at line 403 of file MMFF94Parameters.h.

## ic_

Position BALL::MMFF94TorsionParameters::ic_[5]

static protected

Definition at line 404 of file MMFF94Parameters.h.

## lc_

Position BALL::MMFF94TorsionParameters::lc_[5]

static protected

Definition at line 405 of file MMFF94Parameters.h.

## parameters_

TorsionsMap BALL::MMFF94TorsionParameters::parameters_

protected

parameters

Definition at line 402 of file MMFF94Parameters.h.